### Method

# Ide FileSettings get_language

#### Declaration

    const gchar*
    ide_file_settings_get_language (
      IdeFileSettings* self
    )

#### Description

If the language for file settings is known up-front, this will indicate the language identifier known to GtkSourceView such as “c” or “sh”.

Available since: | 3.32

Gets property | `Ide.FileSettings:language`

#### Return value

Returns: | `const gchar*`
| A string containing the language id or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.